Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessService.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessService.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessServiceLocator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessServiceLocator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessServiceLocator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessServiceRoles.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessServiceRoles.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/AccessServiceRoles.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/App.config
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/App.config	(revision 15651)
+++ 	(revision )
@@ -1,75 +1,0 @@
-<?xml version="1.0"?>
-<configuration>
-  <connectionStrings>
-    <add name="HeuristicLab.Authentication" connectionString="Data Source=.;Initial Catalog=HeuristicLab.Authentication;Integrated Security=True" providerName="System.Data.SqlClient"/>
-  </connectionStrings>
-  <system.web>
-    <membership defaultProvider="AspNetSqlMembershipProvider" userIsOnlineTimeWindow="20">
-      <providers>
-        <clear/>
-        <add name="AspNetSqlMemberShipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" passwordFormat="Hashed" applicationName="HeuristicLab.Authentication" requiresUniqueEmail="false" minRequiredPasswordLength="1" minRequiredNonalphanumericCharacters="0" maxInvalidPasswordAttempts="50"/>
-      </providers>
-    </membership>
-    <authentication mode="Windows"/>
-    <roleManager enabled="true" defaultProvider="AspNetSqlRoleProvider">
-      <providers>
-        <clear/>
-        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication"/>
-      </providers>
-    </roleManager>
-  </system.web>
-
-  <!-- When deploying the service library project, the content of the config file must be added to the host's 
-  app.config file. System.Configuration does not support config files for libraries. -->
-  <system.serviceModel>
-    <bindings>
-      <wsHttpBinding>
-        <binding name="DefaultWsHttpBinding" maxBufferPoolSize="10000000" maxReceivedMessageSize="200000000">
-          <readerQuotas maxDepth="1000" maxStringContentLength="16000" maxArrayLength="200000000" maxBytesPerRead="200000000" maxNameTableCharCount="16000"/>
-          <security mode="Message">
-            <message clientCredentialType="UserName"/>
-          </security>
-        </binding>
-      </wsHttpBinding>
-      <mexHttpBinding>
-        <binding name="DefaultMexHttpBinding"/>
-      </mexHttpBinding>
-    </bindings>
-
-    <diagnostics performanceCounters="Default">
-      <!--<messageLogging logMalformedMessages="false" logMessagesAtTransportLevel="false" />-->
-    </diagnostics>
-
-    <behaviors>
-      <endpointBehaviors>
-        <behavior name="DefaultEndpointBehavior">
-          <dataContractSerializer maxItemsInObjectGraph="1000000"/>
-        </behavior>
-      </endpointBehaviors>
-
-      <serviceBehaviors>
-        <behavior name="DefaultServiceBehavior">
-          <serviceMetadata httpGetEnabled="true"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" storeLocation="LocalMachine" storeName="My" x509FindType="FindBySubjectName"/>
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider" membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles" roleProviderName="AspNetSqlRoleProvider"/>
-        </behavior>
-      </serviceBehaviors>
-    </behaviors>
-
-    <services>
-      <service name="HeuristicLab.Services.Access.AccessService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint behaviorConfiguration="DefaultEndpointBehavior" binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.Access.IAccessService"/>
-        <host>
-          <baseAddresses>
-            <add baseAddress="http://localhost:81/AccessService"/>
-          </baseAddresses>
-        </host>
-      </service>
-    </services>
-  </system.serviceModel>
-<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/></startup></configuration>
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Convert.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Convert.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Convert.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/AccessItem.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/AccessItem.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/AccessItem.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Client.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Client.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Client.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientConfiguration.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientConfiguration.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientConfiguration.cs	(revision 15973)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientError.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientError.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientError.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientGroup.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientGroup.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientGroup.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientGroupMapping.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientGroupMapping.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientGroupMapping.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientLog.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientLog.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientLog.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientType.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientType.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/ClientType.cs	(revision 15973)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Country.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Country.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Country.cs	(revision 15973)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/LightweightUser.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/LightweightUser.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/LightweightUser.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab 
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
  * 
  * This file is part of HeuristicLab. 
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/OperatingSystem.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/OperatingSystem.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/OperatingSystem.cs	(revision 15973)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Plugin.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Plugin.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Plugin.cs	(revision 15973)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Resource.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Resource.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Resource.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Role.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Role.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/Role.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab 
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
  * 
  * This file is part of HeuristicLab. 
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/User.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/User.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/User.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab 
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
  * 
  * This file is part of HeuristicLab. 
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroup.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroup.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroup.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab 
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
  * 
  * This file is part of HeuristicLab. 
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroupBase.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroupBase.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroupBase.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroupMapping.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroupMapping.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/DataTransfer/UserGroupMapping.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/HeuristicLab.Services.Access-3.3.csproj
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/HeuristicLab.Services.Access-3.3.csproj	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/HeuristicLab.Services.Access-3.3.csproj	(revision 15973)
@@ -135,5 +135,5 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="App.config" />
+    <None Include="app.config" />
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/IAccessService.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/IAccessService.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/IAccessService.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IAccessServiceLocator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IAccessServiceLocator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IAccessServiceLocator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IRoleVerifier.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IRoleVerifier.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IRoleVerifier.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IUserManager.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IUserManager.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Interfaces/IUserManager.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Properties/AssemblyInfo.cs.frame	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Properties/AssemblyInfo.cs.frame	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.13.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/RoleVerifier.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/RoleVerifier.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/RoleVerifier.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/UserManager.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/UserManager.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/UserManager.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Web.config
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Web.config	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/Web.config	(revision 15973)
@@ -1,84 +1,69 @@
-<?xml version="1.0"?>
+<?xml version="1.0" encoding="utf-8"?>
 <configuration>
   <connectionStrings>
-  <add name="HeuristicLab.Authentication" connectionString="data source=localhost;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
+    <add name="HeuristicLab.Authentication" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
   </connectionStrings>
+
   <system.web>
-    <membership defaultProvider="AspNetSqlMembershipProvider" userIsOnlineTimeWindow="20">
+    <membership defaultProvider="AspNetSqlMembershipProvider">
       <providers>
         <clear />
-        <add name="AspNetSqlMemberShipProvider"
-              type="System.Web.Security.SqlMembershipProvider"
-              connectionStringName="HeuristicLab.Authentication"
-              enablePasswordRetrieval="false"
-              enablePasswordReset="true"
-              requiresQuestionAndAnswer="false"
-              passwordFormat="Hashed"
-              applicationName="HeuristicLab.Authentication"
-              requiresUniqueEmail="false"
-              minRequiredPasswordLength="1"
-              minRequiredNonalphanumericCharacters="0"
-              maxInvalidPasswordAttempts="50" />
+        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
+             requiresQuestionAndAnswer="false" passwordFormat="Hashed" applicationName="HeuristicLab.Authentication" minRequiredPasswordLength="8"
+             minRequiredNonalphanumericCharacters="0" maxInvalidPasswordAttempts="5" />
       </providers>
     </membership>
-    <authentication mode="Windows" />
     <roleManager enabled="true" defaultProvider="AspNetSqlRoleProvider">
       <providers>
         <clear />
-        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
-             connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
+        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
       </providers>
     </roleManager>
   </system.web>
 
-  <!-- When deploying the service library project, the content of the config file must be added to the host's 
-  app.config file. System.Configuration does not support config files for libraries. -->
   <system.serviceModel>
+    <serviceHostingEnvironment multipleSiteBindingsEnabled="true"/>
+    <services>
+      <service behaviorConfiguration="DefaultServiceBehavior" name="HeuristicLab.Services.Access.AccessService">
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding"
+          contract="HeuristicLab.Services.Access.IAccessService" />
+        <host>
+          <baseAddresses>
+            <add baseAddress="http://localhost:8000/AccessService-3.3/AccessService.svc" />
+          </baseAddresses>
+        </host>
+      </service>
+    </services>
+    <behaviors>
+      <serviceBehaviors>
+        <behavior name="DefaultServiceBehavior">
+          <serviceMetadata httpGetEnabled="true" />
+          <serviceDebug includeExceptionDetailInFaults="true" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+              membershipProviderName="AspNetSqlMembershipProvider" />
+          </serviceCredentials>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+            roleProviderName="AspNetSqlRoleProvider" />
+        </behavior>
+      </serviceBehaviors>
+    </behaviors>
     <bindings>
       <wsHttpBinding>
-        <binding name="DefaultWsHttpBinding" maxBufferPoolSize="10000000" maxReceivedMessageSize="200000000">
-          <readerQuotas maxDepth="1000" maxStringContentLength="16000" maxArrayLength="200000000" maxBytesPerRead="200000000" maxNameTableCharCount="16000" />
-          <security mode="Message">
+        <binding name="DefaultWsHttpBinding" maxBufferPoolSize="2147483647"
+          maxReceivedMessageSize="2147483647">
+          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647"
+            maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
+          <security>
             <message clientCredentialType="UserName" />
           </security>
         </binding>
       </wsHttpBinding>
-      <mexHttpBinding>
-        <binding name="DefaultMexHttpBinding" />
-      </mexHttpBinding>
     </bindings>
+  </system.serviceModel>
 
-    <diagnostics performanceCounters="Default">
-      <!--<messageLogging logMalformedMessages="false" logMessagesAtTransportLevel="false" />-->
-    </diagnostics>
-
-    <behaviors>
-      <endpointBehaviors>
-        <behavior name="DefaultEndpointBehavior">
-          <dataContractSerializer maxItemsInObjectGraph="1000000" />
-        </behavior>
-      </endpointBehaviors>
-
-      <serviceBehaviors>
-        <behavior name="DefaultServiceBehavior">
-          <serviceMetadata httpGetEnabled="true" />
-          <serviceDebug includeExceptionDetailInFaults="true" />
-          <serviceCredentials>           
-            <serviceCertificate findValue="services.heuristiclab.com" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider" membershipProviderName="AspNetSqlMembershipProvider" />          
-          </serviceCredentials>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-        </behavior>
-      </serviceBehaviors>
-    </behaviors>
-
-    <services>
-      <service name="HeuristicLab.Services.Access.AccessService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
-        <endpoint behaviorConfiguration="DefaultEndpointBehavior" binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding"
-                  contract="HeuristicLab.Services.Access.IAccessService" />        
-      </service>
-    </services>
-  </system.serviceModel>
+  <startup>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
+  </startup>
 </configuration>
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/app.config
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/app.config	(revision 15973)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Services.Access/3.3/app.config	(revision 15973)
@@ -0,0 +1,69 @@
+<?xml version="1.0" encoding="utf-8"?>
+<configuration>
+  <connectionStrings>
+    <add name="HeuristicLab.Authentication" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
+  </connectionStrings>
+
+  <system.web>
+    <membership defaultProvider="AspNetSqlMembershipProvider">
+      <providers>
+        <clear />
+        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
+             requiresQuestionAndAnswer="false" passwordFormat="Hashed" applicationName="HeuristicLab.Authentication" minRequiredPasswordLength="8"
+             minRequiredNonalphanumericCharacters="0" maxInvalidPasswordAttempts="5" />
+      </providers>
+    </membership>
+    <roleManager enabled="true" defaultProvider="AspNetSqlRoleProvider">
+      <providers>
+        <clear />
+        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
+      </providers>
+    </roleManager>
+  </system.web>
+
+  <system.serviceModel>
+    <serviceHostingEnvironment multipleSiteBindingsEnabled="true"/>
+    <services>
+      <service behaviorConfiguration="DefaultServiceBehavior" name="HeuristicLab.Services.Access.AccessService">
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding"
+          contract="HeuristicLab.Services.Access.IAccessService" />
+        <host>
+          <baseAddresses>
+            <add baseAddress="http://localhost:8000/AccessService-3.3/AccessService.svc" />
+          </baseAddresses>
+        </host>
+      </service>
+    </services>
+    <behaviors>
+      <serviceBehaviors>
+        <behavior name="DefaultServiceBehavior">
+          <serviceMetadata httpGetEnabled="true" />
+          <serviceDebug includeExceptionDetailInFaults="true" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+              membershipProviderName="AspNetSqlMembershipProvider" />
+          </serviceCredentials>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+            roleProviderName="AspNetSqlRoleProvider" />
+        </behavior>
+      </serviceBehaviors>
+    </behaviors>
+    <bindings>
+      <wsHttpBinding>
+        <binding name="DefaultWsHttpBinding" maxBufferPoolSize="2147483647"
+          maxReceivedMessageSize="2147483647">
+          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647"
+            maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
+          <security>
+            <message clientCredentialType="UserName" />
+          </security>
+        </binding>
+      </wsHttpBinding>
+    </bindings>
+  </system.serviceModel>
+
+  <startup>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
+  </startup>
+</configuration>
